Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 02 May 2021 05:39:37 +0000

Hi Wael amir,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns CentrepointME  Hello Team ..
I have a returned request now almost 25 days past but no one come to pick up the order ....I need my credit returned so I can purchase online.....
This is how treat with customers..for a new order within 3 to 4 days the delivery comes ...but for returned no any respond....
Pls check it for my ordered No - 6290867685 ..
How many time I have to informed you ...

Hope for a feedback.. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2491982